type FunctionItem = {
    label: string;
    value: string;
};
declare const _default: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
    modelValue: import('vue').PropType<any>;
    id: {
        type: StringConstructor;
        default: string;
    };
    functionList: {
        type: ArrayConstructor;
        default: () => FunctionItem[];
    };
}>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
    modelValue: import('vue').PropType<any>;
    id: {
        type: StringConstructor;
        default: string;
    };
    functionList: {
        type: ArrayConstructor;
        default: () => FunctionItem[];
    };
}>> & Readonly<{}>, {
    id: string;
    functionList: unknown[];
}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
export default _default;
